## notes-up 2.0.2%2Bgit20201228

=== CMakeLists.txt ===
project(com.github.philip-scott.notes-up)

cmake_minimum_required(VERSION 2.6)

# build UI lib
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# disable C compiler warnings
add_definitions(-w)

find_package(PkgConfig)

pkg_check_modules(DEPS REQUIRED
  granite>=5.2.0
  gee-0.8
  gtksourceview-3.0>=3.10
  gthread-2.0
  gtk+-3.0>=3.9.10
  webkit2gtk-4.0
  sqlite3>=3.5.9
  gtkspell3-3.0
  libmarkdown
)

set (VALA_DEPS
 granite
 gee-0.8
 gtksourceview-3.0
 gtk+-3.0
 webkit2gtk-4.0
 sqlite3
 gtkspell3-3.0
 libmarkdown
)

add_definitions(${DEPS_CFLAGS})
add_definitions(${WEBKIT_CFLAGS})

link_libraries(${DEPS_LIBRARIES})
link_libraries(${WEBKIT_LIBRARIES})

link_directories(${DEPS_LIBRARY_DIRS})
link_directories(${WEBKIT_LIBRARY_DIRS})
link_directories(${CMAKE_BINARY_DIR})

include_directories(${CMAKE_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR})

set (generated_resources ${generated_resource})

find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.39.0" MINIMUM)

set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATADIR}/notes-up")
set (GETTEXT_PACKAGE "notes-up")
set (RELEASE_NAME "TARS")
set (VERSION "2.0.0")
set (VERSION_INFO "Release")
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (DOLLAR "$")

configure_file (${CMAKE_SOURCE_DIR}/src/config.vala.cmake ${CMAKE_SOURCE_DIR}/src/config.vala)
add_definitions (-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")

add_subdirectory (po)
add_subdirectory (schemas)

include(ValaPrecompile)
include (gresource)

set (BASIC_VALAC_OPTIONS
  -g
   --vapidir=${CMAKE_SOURCE_DIR}/vapi
   --thread
   --target-glib=2.38
)

set (GLOBAL_VALAC_OPTIONS
  ${BASIC_VALAC_OPTIONS}
)

SET(noele false CACHE BOOL "Remove elementaryOS-only features")

if (noele)
    set (GLOBAL_VALAC_OPTIONS ${GLOBAL_VALAC_OPTIONS} --define=REMOVE_ELEMENTARY_FEATURES)
    message ("-- CONTRACTOR disabled")
endif (noele)

vala_precompile(VALA_C
  src/Main.vala
  src/Application.vala

  src/GranitePatches/SourceList.vala

  src/Widgets/Editor.vala
  src/Widgets/HelpBox.vala
  src/Widgets/Headerbar.vala
  src/Widgets/NotebookPicker.vala
  src/Widgets/ViewEditStack.vala
  src/Widgets/ToolbarButton.vala
  src/Widgets/BookmarkButton.vala
  src/Widgets/PageItem.vala
  src/Widgets/PageInfoEditor.vala
  src/Widgets/PagesList.vala
  src/Widgets/Viewer.vala
  src/Widgets/Window.vala

  src/Widgets/Sidebar/Sidebar.vala
  src/Widgets/Sidebar/SidebarItem.vala
  src/Widgets/Sidebar/NotebookList.vala
  src/Widgets/Sidebar/NotebookItem.vala
  src/Widgets/Sidebar/BookmarkItem.vala
  src/Widgets/Sidebar/TagItem.vala
  src/Widgets/Sidebar/TrashItem.vala

  src/Widgets/Dialogs/NewNotebookDialog.vala
  src/Widgets/Dialogs/PreferencesDialog.vala
  src/Widgets/Dialogs/NotebookListDialog.vala

  src/Services/Bookmark.vala
  src/Services/FileData.vala
  src/Services/FileManager.vala
  src/Services/Notebook.vala
  src/Services/Image.vala
  src/Services/Page.vala
  src/Services/Settings.vala
  src/Services/StyleLoader.vala
  src/Services/Trash.vala
  src/Services/Tags.vala
  src/Services/DatabaseTable.vala
  src/Services/WordWrapper.vala

  src/Plugins/Manager.vala
  src/Plugins/Plugin.vala
  src/Plugins/Break.vala
  src/Plugins/Color.vala
  src/Plugins/Youtube.vala
  src/Plugins/Image.vala
  src/Plugins/PageLink.vala
  src/Plugins/Highlight.vala
  src/config.vala
PACKAGES
  ${VALA_DEPS}
OPTIONS
  ${GLOBAL_VALAC_OPTIONS}
)

add_subdirectory (data)
glib_compile_resources(generated_resources SOURCE data/assets.gresource.xml)

add_executable(com.github.philip-scott.notes-up ${VALA_C} ${generated_resources})

install(TARGETS com.github.philip-scott.notes-up RUNTIME
  DESTINATION bin)

=== data/CMakeLists.txt ===
# JS File Assets. Cannot be removed to keep compatibility
file(GLOB assets "${CMAKE_CURRENT_SOURCE_DIR}/assets/highlightjs/**")
install (FILES ${assets}
  DESTINATION ${DATADIR}/notes-up/)

# install the appdata
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.github.philip-scott.notes-up.appdata.xml
  DESTINATION ${DATADIR}/metainfo/)

# Installing .desktop file
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.github.philip-scott.notes-up.desktop
  DESTINATION ${DATADIR}/applications/)

# Installing Icons
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/icons/48/com.github.philip-scott.notes-up.svg"
  DESTINATION share/icons/hicolor/48x48/apps)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/icons/64/com.github.philip-scott.notes-up.svg"
  DESTINATION share/icons/hicolor/64x64/apps)

# install the mimefile
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.github.philip-scott.notes-up.mime.xml
  DESTINATION share/mime/packages/)

# Instaling mime icons
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/icons/64/com.github.philip-scott.notes-up.svg"
        DESTINATION share/icons/hicolor/64x64/mimetypes/
        RENAME application-x-notesup.svg)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/icons/48/com.github.philip-scott.notes-up.svg"
        DESTINATION share/icons/hicolor/48x48/mimetypes/
        RENAME application-x-notesup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/64/com.github.philip-scott.notes-up.svg
        DESTINATION share/icons/hicolor/scalable/mimetypes/
        RENAME application-x-notesup.svg)

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory (${GETTEXT_PACKAGE})
add_translations_catalog (${GETTEXT_PACKAGE} ../src
    APPDATA_FILES
        ../data/org.pantheon.audience.appdata.xml.in
)

=== schemas/CMakeLists.txt ===
include (GSettings)
add_schema ("org.notes.gschema.xml")

=== debian/changelog ===
notes-up (2.0.2+git20201228-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 13:48:02 -0400

com.github.philip-scott.notes-up (0.1) UNSTABLE; urgency=low

  * Initial release

 -- Felipe Escoto <felescoto95@hotmail.com>  Tue, 23 Feb 2015 04:52:12 -0600

=== debian/control ===
Source: notes-up
Section: editors
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Felipe Escoto <felescoto95@hotmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libsqlite3-dev,
               libwebkit2gtk-4.0-dev,
               libgtk-3-dev,
               valac (>= 0.26),
               libgtkspell3-3-dev,
               libgranite-dev,
               libgtksourceview-3.0-dev (>= 3.10),
               libmarkdown2-dev
Standards-Version: 3.9.6

Package: notes-up
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: markdown notes manager
 Markdown notes manager for elementary os.
